XdkWrl: DeclaredNode Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# DeclaredNode Class Reference
[Base Types]

`#include <node.h>`

Inherits Node.

Inherited by DeclaredNodeWithBindings, and Script.

List of all members.

## Public Member Functions
| DeclaredNode (const char *name="")
virtual unsigned int | nbFields () const
virtual FieldHandle | field (const std::string &n)
virtual FieldHandle | field (unsigned int i)
virtual unsigned int | nbEventsIn () const
virtual EventInHandle | eventIn (const std::string &n)
virtual EventInHandle | eventIn (unsigned int i)
virtual unsigned int | nbEventsOut () const
virtual EventOutHandle | eventOut (const std::string &n)
virtual EventOutHandle | eventOut (unsigned int i)
Declaration
Function used to declare dynamically extra fields or events to the node type.
EventInHandle | declareEventIn (const FieldTypeId t, const std::string &n)
EventOutHandle | declareEventOut (const FieldTypeId t, const std::string &n)
FieldHandle | declareField (const FieldTypeId t, const std::string &n)
FieldHandle | declareExposedField (const FieldTypeId t, const std::string &n)
virtual bool | isDeclaredField (const std::string &n) const
virtual bool | isDeclaredField (unsigned int i) const
virtual bool | isDeclaredEventIn (const std::string &n) const
virtual bool | isDeclaredEventIn (unsigned int i) const
virtual bool | isDeclaredEventOut (const std::string &n) const
virtual bool | isDeclaredEventOut (unsigned int i) const
## Protected Attributes
std::map< std::string, std::pair< SFBool, bool > > | sfBoolMap_
std::map< std::string, std::pair< SFColor, bool > > | sfColorMap_
std::map< std::string, std::pair< SFFloat, bool > > | sfFloatMap_
std::map< std::string, std::pair< SFImage, bool > > | sfImageMap_
std::map< std::string, std::pair< SFInt32, bool > > | sfInt32Map_
std::map< std::string, std::pair< SFNode, bool > > | sfNodeMap_
std::map< std::string, std::pair< SFRotation, bool > > | sfRotationMap_
std::map< std::string, std::pair< SFString, bool > > | sfStringMap_
std::map< std::string, std::pair< SFTime, bool > > | sfTimeMap_
std::map< std::string, std::pair< SFVec2f, bool > > | sfVec2fMap_
std::map< std::string, std::pair< SFVec3f, bool > > | sfVec3fMap_
std::map< std::string, std::pair< MFColor, bool > > | mfColorMap_
std::map< std::string, std::pair< MFFloat, bool > > | mfFloatMap_
std::map< std::string, std::pair< MFInt32, bool > > | mfInt32Map_
std::map< std::string, std::pair< MFNode, bool > > | mfNodeMap_
std::map< std::string, std::pair< MFRotation, bool > > | mfRotationMap_
std::map< std::string, std::pair< MFString, bool > > | mfStringMap_
std::map< std::string, std::pair< MFTime, bool > > | mfTimeMap_
std::map< std::string, std::pair< MFVec2f, bool > > | mfVec2fMap_
std::map< std::string, std::pair< MFVec3f, bool > > | mfVec3fMap_
std::map< std::string, EventIn< SFBool > > | sfBoolInMap_
std::map< std::string, EventIn< SFColor > > | sfColorInMap_
std::map< std::string, EventIn< SFFloat > > | sfFloatInMap_
std::map< std::string, EventIn< SFImage > > | sfImageInMap_
std::map< std::string, EventIn< SFInt32 > > | sfInt32InMap_
std::map< std::string, EventIn< SFNode > > | sfNodeInMap_
std::map< std::string, EventIn< SFRotation > > | sfRotationInMap_
std::map< std::string, EventIn< SFString > > | sfStringInMap_
std::map< std::string, EventIn< SFTime > > | sfTimeInMap_
std::map< std::string, EventIn< SFVec2f > > | sfVec2fInMap_
std::map< std::string, EventIn< SFVec3f > > | sfVec3fInMap_
std::map< std::string, EventIn< MFColor > > | mfColorInMap_
std::map< std::string, EventIn< MFFloat > > | mfFloatInMap_
std::map< std::string, EventIn< MFInt32 > > | mfInt32InMap_
std::map< std::string, EventIn< MFNode > > | mfNodeInMap_
std::map< std::string, EventIn< MFRotation > > | mfRotationInMap_
std::map< std::string, EventIn< MFString > > | mfStringInMap_
std::map< std::string, EventIn< MFTime > > | mfTimeInMap_
std::map< std::string, EventIn< MFVec2f > > | mfVec2fInMap_
std::map< std::string, EventIn< MFVec3f > > | mfVec3fInMap_
std::map< std::string, EventOut< SFBool > > | sfBoolOutMap_
std::map< std::string, EventOut< SFColor > > | sfColorOutMap_
std::map< std::string, EventOut< SFFloat > > | sfFloatOutMap_
std::map< std::string, EventOut< SFImage > > | sfImageOutMap_
std::map< std::string, EventOut< SFInt32 > > | sfInt32OutMap_
std::map< std::string, EventOut< SFNode > > | sfNodeOutMap_
std::map< std::string, EventOut< SFRotation > > | sfRotationOutMap_
std::map< std::string, EventOut< SFString > > | sfStringOutMap_
std::map< std::string, EventOut< SFTime > > | sfTimeOutMap_
std::map< std::string, EventOut< SFVec2f > > | sfVec2fOutMap_
std::map< std::string, EventOut< SFVec3f > > | sfVec3fOutMap_
std::map< std::string, EventOut< MFColor > > | mfColorOutMap_
std::map< std::string, EventOut< MFFloat > > | mfFloatOutMap_
std::map< std::string, EventOut< MFInt32 > > | mfInt32OutMap_
std::map< std::string, EventOut< MFNode > > | mfNodeOutMap_
std::map< std::string, EventOut< MFRotation > > | mfRotationOutMap_
std::map< std::string, EventOut< MFString > > | mfStringOutMap_
std::map< std::string, EventOut< MFTime > > | mfTimeOutMap_
std::map< std::string, EventOut< MFVec2f > > | mfVec2fOutMap_
std::map< std::string, EventOut< MFVec3f > > | mfVec3fOutMap_

## Constructor & Destructor Documentation

DeclaredNode | ( | const char * | name = `""` | ) |

## Member Function Documentation

unsigned int nbFields | ( |  | ) | const`[virtual]`

Return the number of fields (exposed or not) of the node type. Each field has a unique name and an unique number associated, which allows to retrieve the field value either by its name or a number (for sequential traversal of all fields for example). Each node specifies in its documentation the relation of names and numbers.

Implements Node.

Reimplemented in Script.

virtual FieldHandle field | ( | const std::string & | n | ) | `[virtual]`

Return a handle on the field named `n` of the node or a "unknown" typed handle if there is no such node.

Implements Node.

Reimplemented in Script.

Node::FieldHandle field | ( | unsigned int | i | ) | `[virtual]`

Return a handle on the `ith` field of the node or a "unknown" typed handle if there is no such node. See nbFields() to find the number of fields.

Implements Node.

Reimplemented in Script.

unsigned int nbEventsIn | ( |  | ) | const`[virtual]`

Implements Node.

virtual EventInHandle eventIn | ( | const std::string & | n | ) | `[virtual]`

Implements Node.

Node::EventInHandle eventIn | ( | unsigned int | i | ) | `[virtual]`

Implements Node.

unsigned int nbEventsOut | ( |  | ) | const`[virtual]`

Implements Node.

virtual EventOutHandle eventOut | ( | const std::string & | n | ) | `[virtual]`

Implements Node.

Node::EventOutHandle eventOut | ( | unsigned int | i | ) | `[virtual]`

Implements Node.

Node::EventInHandle declareEventIn | ( | const FieldTypeId | t,
|  | const std::string & | n |
| ) |  |  |

Node::EventOutHandle declareEventOut | ( | const FieldTypeId | t,
|  | const std::string & | n |
| ) |  |  |

Node::FieldHandle declareField | ( | const FieldTypeId | t,
|  | const std::string & | n |
| ) |  |  |

Node::FieldHandle declareExposedField | ( | const FieldTypeId | t,
|  | const std::string & | n |
| ) |  |  |

virtual bool isDeclaredField | ( | const std::string & | n | ) | const`[virtual]`

Reimplemented in Script.

bool isDeclaredField | ( | unsigned int | i | ) | const`[virtual]`

Reimplemented in Script.

bool isDeclaredEventIn | ( | const std::string & | n | ) | const`[virtual]`

bool isDeclaredEventIn | ( | unsigned int | i | ) | const`[virtual]`

bool isDeclaredEventOut | ( | const std::string & | n | ) | const`[virtual]`

bool isDeclaredEventOut | ( | unsigned int | i | ) | const`[virtual]`

## Member Data Documentation

std::map<std::string,std::pair<SFBool,bool> > sfBoolMap_`[protected]`

std::map<std::string,std::pair<SFColor,bool> > sfColorMap_`[protected]`

std::map<std::string,std::pair<SFFloat,bool> > sfFloatMap_`[protected]`

std::map<std::string,std::pair<SFImage,bool> > sfImageMap_`[protected]`

std::map<std::string,std::pair<SFInt32,bool> > sfInt32Map_`[protected]`

std::map<std::string,std::pair<SFNode,bool> > sfNodeMap_`[protected]`

std::map<std::string,std::pair<SFRotation,bool> > sfRotationMap_`[protected]`

std::map<std::string,std::pair<SFString,bool> > sfStringMap_`[protected]`

std::map<std::string,std::pair<SFTime,bool> > sfTimeMap_`[protected]`

std::map<std::string,std::pair<SFVec2f,bool> > sfVec2fMap_`[protected]`

std::map<std::string,std::pair<SFVec3f,bool> > sfVec3fMap_`[protected]`

std::map<std::string,std::pair<MFColor,bool> > mfColorMap_`[protected]`

std::map<std::string,std::pair<MFFloat,bool> > mfFloatMap_`[protected]`

std::map<std::string,std::pair<MFInt32,bool> > mfInt32Map_`[protected]`

std::map<std::string,std::pair<MFNode,bool> > mfNodeMap_`[protected]`

std::map<std::string,std::pair<MFRotation,bool> > mfRotationMap_`[protected]`

std::map<std::string,std::pair<MFString,bool> > mfStringMap_`[protected]`

std::map<std::string,std::pair<MFTime,bool> > mfTimeMap_`[protected]`

std::map<std::string,std::pair<MFVec2f,bool> > mfVec2fMap_`[protected]`

std::map<std::string,std::pair<MFVec3f,bool> > mfVec3fMap_`[protected]`

std::map<std::string,EventIn<SFBool> > sfBoolInMap_`[protected]`

std::map<std::string,EventIn<SFColor> > sfColorInMap_`[protected]`

std::map<std::string,EventIn<SFFloat> > sfFloatInMap_`[protected]`

std::map<std::string,EventIn<SFImage> > sfImageInMap_`[protected]`

std::map<std::string,EventIn<SFInt32> > sfInt32InMap_`[protected]`

std::map<std::string,EventIn<SFNode> > sfNodeInMap_`[protected]`

std::map<std::string,EventIn<SFRotation> > sfRotationInMap_`[protected]`

std::map<std::string,EventIn<SFString> > sfStringInMap_`[protected]`

std::map<std::string,EventIn<SFTime> > sfTimeInMap_`[protected]`

std::map<std::string,EventIn<SFVec2f> > sfVec2fInMap_`[protected]`

std::map<std::string,EventIn<SFVec3f> > sfVec3fInMap_`[protected]`

std::map<std::string,EventIn<MFColor> > mfColorInMap_`[protected]`

std::map<std::string,EventIn<MFFloat> > mfFloatInMap_`[protected]`

std::map<std::string,EventIn<MFInt32> > mfInt32InMap_`[protected]`

std::map<std::string,EventIn<MFNode> > mfNodeInMap_`[protected]`

std::map<std::string,EventIn<MFRotation> > mfRotationInMap_`[protected]`

std::map<std::string,EventIn<MFString> > mfStringInMap_`[protected]`

std::map<std::string,EventIn<MFTime> > mfTimeInMap_`[protected]`

std::map<std::string,EventIn<MFVec2f> > mfVec2fInMap_`[protected]`

std::map<std::string,EventIn<MFVec3f> > mfVec3fInMap_`[protected]`

std::map<std::string,EventOut<SFBool> > sfBoolOutMap_`[protected]`

std::map<std::string,EventOut<SFColor> > sfColorOutMap_`[protected]`

std::map<std::string,EventOut<SFFloat> > sfFloatOutMap_`[protected]`

std::map<std::string,EventOut<SFImage> > sfImageOutMap_`[protected]`

std::map<std::string,EventOut<SFInt32> > sfInt32OutMap_`[protected]`

std::map<std::string,EventOut<SFNode> > sfNodeOutMap_`[protected]`

std::map<std::string,EventOut<SFRotation> > sfRotationOutMap_`[protected]`

std::map<std::string,EventOut<SFString> > sfStringOutMap_`[protected]`

std::map<std::string,EventOut<SFTime> > sfTimeOutMap_`[protected]`

std::map<std::string,EventOut<SFVec2f> > sfVec2fOutMap_`[protected]`

std::map<std::string,EventOut<SFVec3f> > sfVec3fOutMap_`[protected]`

std::map<std::string,EventOut<MFColor> > mfColorOutMap_`[protected]`

std::map<std::string,EventOut<MFFloat> > mfFloatOutMap_`[protected]`

std::map<std::string,EventOut<MFInt32> > mfInt32OutMap_`[protected]`

std::map<std::string,EventOut<MFNode> > mfNodeOutMap_`[protected]`

std::map<std::string,EventOut<MFRotation> > mfRotationOutMap_`[protected]`

std::map<std::string,EventOut<MFString> > mfStringOutMap_`[protected]`

std::map<std::string,EventOut<MFTime> > mfTimeOutMap_`[protected]`

std::map<std::string,EventOut<MFVec2f> > mfVec2fOutMap_`[protected]`

std::map<std::string,EventOut<MFVec3f> > mfVec3fOutMap_`[protected]`

Generated on 5 Jan 2007 with version 1.5.1. |